Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Wakeup_All_Threads_Handler Class Reference

This is a helper class whose sole purpose is to handle events on <ACE_WFMO_Reactor->wakeup_all_threads_>. More...

`#include <WFMO_Reactor.h>`

Inheritance diagram for ACE_Wakeup_All_Threads_Handler:

[legend]
Collaboration diagram for ACE_Wakeup_All_Threads_Handler:

[legend]
List of all members.

## Public Methods
virtual int | handle_signal (int signum, siginfo_t *=0, ucontext_t *=0)
| Called when the <ACE_WFMO_Reactor->wakeup_all_threads_>.

## Detailed Description

This is a helper class whose sole purpose is to handle events on <ACE_WFMO_Reactor->wakeup_all_threads_>.

## Member Function Documentation

ACE_INLINE int ACE_Wakeup_All_Threads_Handler::handle_signal | ( | int | signum,
|  | siginfo_t * | = 0,
|  | ucontext_t * | = 0
| ) | `[virtual]`

| Called when the <ACE_WFMO_Reactor->wakeup_all_threads_>. Reimplemented from ACE_Event_Handler.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/WFMO_Reactor.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/WFMO_Reactor.i